> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1admincustomers consents



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml post /v1/admin/customers/{customerID}/consents
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/admin/customers/{customerID}/consents:
    post:
      tags:
        - customers
      operationId: recordCustomerConsent
      parameters:
        - $ref: '#/components/parameters/CustomerID'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsentInput'
      responses:
        '201':
          description: Append-only consent record created
        '422':
          $ref: '#/components/responses/Problem'
      security:
        - operatorToken: []
components:
  parameters:
    CustomerID:
      in: path
      name: customerID
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    ConsentInput:
      type: object
      required:
        - purpose
        - granted
        - policyVersion
        - source
      properties:
        purpose:
          type: string
          enum:
            - terms
            - privacy
            - marketing
            - profiling
        granted:
          type: boolean
        policyVersion:
          type: string
        source:
          type: string
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    operatorToken:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.